#include <stdio.h>
#include <math.h>

int broj_znam(int n, int i){
    int count = 0;
    while(n > 0){
        if( n % 3 == i ) ++count;
        n /= 3;
    }
    return count;
}

/* mogu li stranice duljina a,b,c ciniti trokut */
int is_triangle(double a, double b, double c){
    return (a + b > c) && (a + c > b) && (b + c > a);
}

double polumjer(double a, double b, double c){
    double s = (a + b + c) / 2;
    return (a*b*c) / ( 4 * sqrt(s * (s-a) * (s-b) * (s-c)) );
}

double prva(int n){
    double a = broj_znam(n, 2);
    double b = broj_znam(n, 1);
    double c = broj_znam(n, 0);

    if( is_triangle(a,b,c) ) return polumjer(a,b,c);
    else return -1;
}

/* primjer poziva */
int main(){
    printf("%g\n", prva(1024));
    return 0;
}
