#include <stdio.h>

// -------------------------- Grupa A --------------------------
void sortA( double x[], double y[], int n )
{
	int i, j;
	double tmp;
	
	for( i = 0; i < n; ++i )
		for( j = i+1; j < n; ++j )
			if( kabs( x[ i ], y[ i ] ) < kabs( x[ j ], y[ j ] ) ||
			    kabs( x[ i ], y[ i ] ) == kabs( x[ j ], y[ j ] ) && x[ i ] < x[ j ] )
			{
				tmp = x[ i ]; x[ i ] = x[ j ]; x[ j ] = tmp;
				tmp = y[ i ]; y[ i ] = y[ j ]; y[ j ] = tmp;
			}
}

int mainA( void )
{
	double x[ 505 ], y[ 505 ];
	int i;
	
	for( i = 0; i < 505; ++i )
		scanf( "%lf", &x[ i ] );

	for( i = 0; i < 505; ++i )
		scanf( "%lf", &y[ i ] );
		
	sortA( x, y, 505 );
	
	// nakon sorta, trazeni element je na indexu 0 u nizovima x, y
	for( i = 1; i < 505; ++i )
	{
		x[ i-1 ] = x[ i ];
		y[ i-1 ] = y[ i ];
	}

	for( i = 0; i < 504; ++i )
		printf( "x[%d] = %lf\n", i, x[ i ] );

	for( i = 0; i < 504; ++i )
		printf( "y[%d] = %lf\n", i, y[ i ] );
	
	return 0;
}

// -------------------------- Grupa B --------------------------
void sortB( int a[], int b[], int c[], int n )
{
	int i, j, tmp;
	
	for( i = 0; i < n; ++i )
		for( j = i+1; j < n; ++j )
			if( pov( a[ i ], b[ i ], c[ i ] ) < pov( a[ j ], b[ j ], c[ j ] ) ||
			    pov( a[ i ], b[ i ], c[ i ] ) == pov( a[ j ], b[ j ], c[ j ] ) && a[ i ] + b[ i ] + c[ i ] < a[ j ] + b[ j ] + c[ j ] )
			{
				tmp = a[ i ]; a[ i ] = a[ j ]; a[ j ] = tmp;
				tmp = b[ i ]; b[ i ] = b[ j ]; b[ j ] = tmp;
				tmp = c[ i ]; c[ i ] = c[ j ]; c[ j ] = tmp;
			}
}

int mainB( void )
{
	int a[ 606 ], b[ 606 ], c[ 606 ], i;
	
	for( i = 0; i < 606; ++i )
		scanf( "%d", &a[ i ] );

	for( i = 0; i < 606; ++i )
		scanf( "%d", &b[ i ] );
		
	for( i = 0; i < 606; ++i )
		scanf( "%d", &c[ i ] );

	sortB( a, b, c, 606 );
	
	// nakon sorta, trazeni element je na indexu 0 u nizovima a, b, c
	for( i = 1; i < 606; ++i )
	{
		a[ i-1 ] = a[ i ];
		b[ i-1 ] = b[ i ];
		c[ i-1 ] = c[ i ];
	}

	for( i = 0; i < 605; ++i )
		printf( "a[%d] = %d\n", i, a[ i ] );

	for( i = 0; i < 605; ++i )
		printf( "b[%d] = %d\n", i, b[ i ] );
	
	for( i = 0; i < 605; ++i )
		printf( "c[%d] = %d\n", i, c[ i ] );
		
	return 0;
}

// -------------------------- Grupa C --------------------------
void sortC( double x[], double y[], int n )
{
	int i, j;
	double tmp;
	
	for( i = 0; i < n; ++i )
		for( j = i+1; j < n; ++j )
			if( y[ i ] > y[ j ] ||
			    y[ i ] == y[ j ] && kabs( x[ i ], y[ i ] ) > kabs( x[ j ], y[ j ] ) )
			{
				tmp = x[ i ]; x[ i ] = x[ j ]; x[ j ] = tmp;
				tmp = y[ i ]; y[ i ] = y[ j ]; y[ j ] = tmp;
			}
}

int mainC( void )
{
	double x[ 707 ], y[ 707 ], lastx, lasty, temp;
	int i;
	
	for( i = 0; i < 707; ++i )
		scanf( "%lf", &x[ i ] );

	for( i = 0; i < 707; ++i )
		scanf( "%lf", &y[ i ] );
		
	sortC( x, y, 707 );
	
	// nakon sorta, trazeni element je na indexu 706 u nizovima x, y
	lastx = x[ 0 ]; lasty = y[ 0 ];
	for( i = 1; i < 707; ++i )
	{
		temp = x[ i ]; x[ i ] = lastx; lastx = temp;
		temp = y[ i ]; y[ i ] = lasty; lasty = temp;
	}
	x[ 0 ] = lastx; y[ 0 ] = lasty;

	for( i = 0; i < 707; ++i )
		printf( "x[%d] = %lf\n", i, x[ i ] );

	for( i = 0; i < 707; ++i )
		printf( "y[%d] = %lf\n", i, y[ i ] );
	
	return 0;
}

// -------------------------- Grupa D --------------------------
void sortD( int a[], int b[], int c[], int n )
{
	int i, j, tmp;
	
	for( i = 0; i < n; ++i )
		for( j = i+1; j < n; ++j )
			if( rad( a[ i ], b[ i ], c[ i ] ) > rad( a[ j ], b[ j ], c[ j ] ) ||
			    rad( a[ i ], b[ i ], c[ i ] ) == rad( a[ j ], b[ j ], c[ j ] ) && a[ i ] + b[ i ] + c[ i ] > a[ j ] + b[ j ] + c[ j ] )
			{
				tmp = a[ i ]; a[ i ] = a[ j ]; a[ j ] = tmp;
				tmp = b[ i ]; b[ i ] = b[ j ]; b[ j ] = tmp;
				tmp = c[ i ]; c[ i ] = c[ j ]; c[ j ] = tmp;
			}
}

int mainD( void )
{
	int a[ 808 ], b[ 808 ], c[ 808 ], i, lasta, lastb, lastc, temp;
	
	for( i = 0; i < 808; ++i )
		scanf( "%d", &a[ i ] );

	for( i = 0; i < 808; ++i )
		scanf( "%d", &b[ i ] );
		
	for( i = 0; i < 808; ++i )
		scanf( "%d", &c[ i ] );

	sortD( a, b, c, 808 );
	
	// nakon sorta, trazeni element je na indexu 807 u nizovima a, b, c
	lasta = a[ 0 ]; lastb = b[ 0 ]; lastc = c[ 0 ];
	for( i = 1; i < 808; ++i )
	{
		temp = a[ i ]; a[ i ] = lasta; lasta = temp;
		temp = b[ i ]; b[ i ] = lastb; lastb = temp;
		temp = c[ i ]; c[ i ] = lastc; lastc = temp;
	}
	a[ 0 ] = lasta; b[ 0 ] = lastb; c[ 0 ] = lastc;

	for( i = 0; i < 808; ++i )
		printf( "a[%d] = %d\n", i, a[ i ] );

	for( i = 0; i < 808; ++i )
		printf( "b[%d] = %d\n", i, b[ i ] );
	
	for( i = 0; i < 808; ++i )
		printf( "c[%d] = %d\n", i, c[ i ] );
		
	return 0;
}


// -------------------------------------------------------------
int main( void )
{
	char ch;
	
	scanf( "%c", &ch );
	switch( ch )
	{
		case 'A' : mainA(); break;
		case 'B' : mainB(); break;
		case 'C' : mainC(); break;
		case 'D' : mainD(); break;
		default  : printf( "A ili B ili C ili D\n" );
	}

	return 0;
}
