#include <stdio.h>
#include <math.h>

int broj_znam(int n, int i){
    int count = 0;
    while(n > 0){
        if( n % 3 == i ) ++count;
        n /= 3;
    }
    return count;
}

/* veaca apsolutnu vrijednost od x + yi */
double complex_abs(double x, double y){
    return sqrt(x*x + y*y);
}

double prva(int n){
    double a = 1 + broj_znam(n, 0);
    double b = broj_znam(n, 1);
    double c = broj_znam(n, 2);
    double diskriminanta = b*b - 4*a*c;

    double X = -b/2*a;

    if(diskriminanta > 0){
        double Y = sqrt(diskriminanta)/(2*a);
        double rjesenje1 = X + Y;
        double rjesenje2 = X - Y;
        return ( (rjesenje1 < 0) ? -rjesenje1 : rjesenje1 ) * ( (rjesenje2 < 0) ? -rjesenje2 : rjesenje2 );
    }
    if(diskriminanta < 0){
        double Y = sqrt(-diskriminanta)/(2*a);
        double abs_rjesenja = complex_abs(X, Y);
        return abs_rjesenja * abs_rjesenja;
    }
    /* ako smo ovde, onda je sigurno diskriminanta == 0 */
    return (X < 0) ? -X : X;
}

/* primjer poziva */
int main(){
    printf("%g\n", prva(1024));
    return 0;
}






