#include <stdio.h>


double h1(const double *const a, const double *const b, const int n, double x) {
  const int n2 = n * 2;
  double y = 0.0;
  int i2;
  for (i2 = n2; i2 >= 2; i2 -= 2)
    y = y * x + a[i2 - 1] / b[n2 - i2];
  y *= x;
  x = 0.0;
  for (i2 = n2; i2 >= 2; i2 -= 2)
    x = x * y + a[n2 - i2] / b[i2 - 1];
  return x * y;
}


double h2(const double *const a, const int n, const double x) {
  const int n2 = n * 2;
  double sum = 0.0, prod = 1.0;
  int j2;
  for (j2 = n2; j2 >= 2; j2 -= 2) {
    prod *= a[n2 - j2] / a[j2 - 1];
    sum = sum * x + prod;
  }
  return sum * x;
}


double h3(const double *const a, const int m, double x) {
  const int m2 = m * 2;
  double y = 0.0;
  int i2;
  for (i2 = m2; i2 >= 2; i2 -= 2)
    y = y * x + a[m2 - i2] / a[i2 - 1];
  y *= x;
  x = 0.0;
  for (i2 = m2; i2 >= 2; i2 -= 2)
    x = x * y + a[i2 - 1] / a[m2 - i2];
  return x * y;
}


double h4(const double *const a, const double *const b, const int m, const double x) {
  double sum = 0.0, prod = 1.0;
  int i;
  for (i = m; i >= 1; --i) {
    prod *= b[i - 1] / a[m - i];
    sum = sum * x + prod;
  }
  return sum * x;
}


int main(void) {
  /* Testiranje funkcija za DZ. */
  return 0;
}
